       if (F0 == 0)                   /* start if voiceless frame */
       {
          slo_int = (intens * (p2 -p1)) / (fra_stop - fra_start);

          while (point < fra_stop)    /* -----random noise ------ */
             {
              delta  = point - fra_start  ;          /* time within frame */
              ampl = (intens * p1) + (slo_int * delta);
              y    = ampl * ((rand()-16383.5) / 16383.5);
              yint = (int) y;
              fwrite (&yint,2,1,usp);
              point = point + sampd;
              gro++;
             }
       }                             /* end if voiceless frame */


       if (F0 == -1)                /* start ampl-noise frame */
       {
          slo_int = (intens * (p2 -p1)) / (fra_stop - fra_start);
     /*   printf("\n intens=%f", intens);
        printf("\n rand_max=%d", RAND_MAX);
        printf("\n period=%f", period);
        printf("\n fra_stop=%f", fra_stop);
        printf("\n slo_int=%f", slo_int);
        printf("\n p1=%f", p1);
        printf("\n p2=%f", p2);            */

          while (point < fra_stop)    /* -----random noise ------ */
             {
              delta  = point - fra_start  ;          /* time within frame */

              ampl = (intens * p1) + (slo_int * delta);
              ampl   = ampl * (((rand()-16383.5) / 16383.5) - .1) ;
              freq   = F1a + (slo_f1 * delta);
              phase1 = phase1 + ((pi2 * freq) * sampd) + add;
              f1_rel = (B1a + (slo_b1 * delta))/100;
              freq   = F2a + (slo_f2 * delta);       /* local F2 freq */
              phase2 = phase2 + ((pi2 * freq) * sampd) + add;
              f2_rel = (B2a + (slo_b2 * delta))/100;
              freq   = F3a + (slo_f3 * delta);       /* local F3 freq */
              phase3 = phase3 + ((pi2 * freq) * sampd) + add;
              f3_rel = (B3a + (slo_b3 * delta))/100;
              freq   = F4a + (slo_f4 * delta);       /* local F4 freq */
              phase4 = phase4 + ((pi2 * freq) * sampd) + add;
              f4_rel = (B4a + (slo_b4 * delta))/100;
              freq   = F5a + (slo_f5 * delta);       /* local F5 freq */
              phase5 = phase5 + ((pi2 * freq) * sampd) + add;
              f5_rel = (B5a + (slo_b5 * delta))/100;
              y      =      (f1_rel) * sin(phase1)  ;
              y      = y + ((f2_rel) * sin(phase2)) ;
              y      = y + ((f3_rel) * sin(phase3)) ;
              y      = y + ((f4_rel) * sin(phase4)) ;
              y      = y + ((f5_rel) * sin(phase5)) ;
              y      = y * ampl;
        /* printf("\n y=%lf", y);     */
              yint = (int) y;
              fwrite (&yint,2,1,usp);
              point = point + sampd;
              gro++;
             }
       }                             /* end if voiceless frame */

